Unable to set input paper size

Bug #536882 reported by Bernd Schlapsi on 2010-03-10
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Simple Scan
Fix Released
Medium
Unassigned
simple-scan (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: simple-scan

At the moment I'm using my "Fujitsu ScanSnap S1500" document scanner with gscan2pdf. It works out of the box with Linux.
I tested simple-scan today and scanned one document (A4). But for my scanner I need the option the set the page size because my scanner uses the wrong default size (not A4).
So every scanned page is cropped on the bottom and it is a little to wide (as you can see on the screenshot)

This are the commands where I find out which extra options my scanner provides and it shows me the default option too.

bernd@lucid-desktop:~$ scanadf -L
device `fujitsu:ScanSnap S1500:303564' is a FUJITSU ScanSnap S1500 scanner

bernd@lucid-desktop:~$ scanadf --help -d "fujitsu:ScanSnap S1500:303564"
Usage: scanadf [OPTION]...

Start image acquisition on a scanner device and write image data to
output files.

   [ -d | --device-name <device> ] use a given scanner device.
   [ -h | --help ] display this help message and exit.
   [ -L | --list-devices ] show available scanner devices.
   [ -v | --verbose ] give even more status messages.
   [ -V | --version ] print version information.
   [ -N | --no-overwrite ] don't overwrite existing files.

   [ -o | --output-file <name> ] name of file to write image data
                                     (%d replacement in output file name).
   [ -S | --scan-script <name> ] name of script to run after every scan.
   [ --script-wait ] wait for scripts to finish before exit
   [ -s | --start-count <num> ] page count of first scanned image.
   [ -e | --end-count <num> ] last page number to scan.
   [ -r | --raw ] write raw image data to file.

Options specific to device `fujitsu:ScanSnap S1500:303564':
  Standard:
    --source ADF Front|ADF Back|ADF Duplex [ADF Front]
        Selects the scan source (such as a document-feeder).
    --mode Lineart|Halftone|Gray|Color [Lineart]
        Selects the scan mode (e.g., lineart, monochrome, or color).
    --resolution 50..600dpi (in steps of 1) [600]
        Sets the horizontal resolution of the scanned image.
    --y-resolution 50..600dpi (in steps of 1) [600]
        Sets the vertical resolution of the scanned image.
  Geometry:
    -l 0..215.872mm (in steps of 0.0211639) [0]
        Top-left x position of scan area.
    -t 0..279.364mm (in steps of 0.0211639) [0]
        Top-left y position of scan area.
    -x 0..215.872mm (in steps of 0.0211639) [215.872]
        Width of scan-area.
    -y 0..279.364mm (in steps of 0.0211639) [279.364]
        Height of scan-area.
    --page-width 0..221.121mm (in steps of 0.0211639) [215.872]
        Specifies the width of the media. Required for automatic centering of
        sheet-fed scans.
    --page-height 0..876.695mm (in steps of 0.0211639) [279.364]
        Specifies the height of the media.
  Enhancement:
.............

there are more option but you can see the page-width and page-height above.
The size of an A4 paper is 210 × 297
So you can see that this size differs from 215.872 x 279.364. So I need an option to manually set the page size for the scanner

ProblemType: Bug
Architecture: i386
Date: Wed Mar 10 20:47:35 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Error: [Errno 13] Permission denied: '/var/log/installer/media-info'
Lsusb:
 Bus 003 Device 002: ID 093a:2500 Pixart Imaging, Inc. USB Optical Mouse
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 006: ID 04c5:11a2 Fujitsu, Ltd
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK Computer INC. A7N8X-E
NonfreeKernelModules: lbm_nouveau lbm_ttm lbm_drm_kms_helper lbm_drm
Package: simple-scan 0.9.7-0ubuntu1
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-15-generic root=UUID=bc4cecdc-b851-4343-9247-161596d3a369 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-15.22-generic
SourcePackage: simple-scan
Uname: Linux 2.6.32-15-generic i686
dmi.bios.date: 11/12/2004
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS A7N8X-E Deluxe ACPI BIOS Rev 1013
dmi.board.name: A7N8X-E
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: REV 2.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufactture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSA7N8X-EDeluxeACPIBIOSRev1013:bd11/12/2004:svnASUSTeKComputerINC.:pnA7N8X-E:pvrREV2.xx:rvnASUSTeKComputerINC.:rnA7N8X-E:rvrREV2.xx:cvnChassisManufactture:ct3:cvrChassisVersion:
dmi.product.name: A7N8X-E
dmi.product.version: REV 2.xx
dmi.sys.vendor: ASUSTeK Computer INC.

Bernd Schlapsi (bernd-sch) wrote :
Robert Ancell (robert-ancell) wrote :

Hi Bernd,

What happens if you use xsane or scanimage and set page-height to the maximum? Does it still work with an A4 page?

I'm not sure why there is a separate setting for page-height and y.

Changed in simple-scan (Ubuntu):
status: New → Triaged
importance: Undecided → Low
summary: - Couldn't manually set the paper size
+ Unable to set input paper size
Changed in simple-scan:
importance: Undecided → Medium
status: New → Triaged
Changed in simple-scan (Ubuntu):
importance: Low → Medium
Changed in simple-scan:
status: Triaged → Fix Released
Changed in simple-scan (Ubuntu):
status: Triaged → Fix Committed
Fabián Rodríguez (magicfab) wrote :

Just tested today, same problem. I noticed a " crop" option but it' s hardly intuitive.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 0.9.9-0ubuntu1

---------------
simple-scan (0.9.9-0ubuntu1) lucid; urgency=low

  * New upstream relase: (LP: #539011)
    - Fix crop rotation
    - Improve crop outline so visible on more scanned documents
    - Make preferences window fixed size
    - Add page size selection (LP: #536882)
 -- Robert Ancell <email address hidden> Mon, 15 Mar 2010 21:36:44 +1100

Changed in simple-scan (Ubuntu):
status: Fix Committed → Fix Released
Bernd Schlapsi (bernd-sch) wrote :

I tested the latest simple-scan (simple-scan 0.9.10) on my lucid lynx installation and this bug still exists.

If i use scanadf on the command line for my scanner the command looks like
scanadf -d "fujitsu:ScanSnap S1500:303564" -v --page-height=298.009 -y 297.009

I must set the page-height AND the y option. Only one of the two doesn't work. Could that be the problem here?

Robert Ancell (robert-ancell) wrote :

I entered the dimensions wrong... they're fixed now. If you can test from bzr that would be great.

Changed in simple-scan:
status: Fix Released → Fix Committed
Changed in simple-scan (Ubuntu):
status: Fix Released → Fix Committed
Bernd Schlapsi (bernd-sch) wrote :
Download full text (3.5 KiB)

I tested the bzr-version and the size for A4 is still wrong.

hostname:~$ ./simple-scan --version
simple-scan 1.0.0
hostname:~$ ./simple-scan --debug > ~/debug.txt

I think this is the important part of the debug log file:

** (simple-scan:23328): DEBUG: Description: Sets the horizontal resolution of the scanned image.
** (simple-scan:23328): DEBUG: sane_control_option (4, SANE_ACTION_SET_VALUE, 150) -> (SANE_STATUS_GOOD, 150)
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (5)
** (simple-scan:23328): DEBUG: Option 5: name='y-resolution' title='Y-resolution' type=int size=4 unit=dpi min=50, max=600, quant=1 cap=soft-select,soft-detect
** (simple-scan:23328): DEBUG: Description: Sets the vertical resolution of the scanned image.
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (6)
** (simple-scan:23328): DEBUG: Option 6: name='geometry' title='Geometry' type=group size=4 cap=inactive
** (simple-scan:23328): DEBUG: Description: Scan area and media size options
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (7)
** (simple-scan:23328): DEBUG: Option 7: name='tl-x' title='Top-left x' type=fixed size=4 unit=mm min=0.000000, max=215.872192, quant=1387 cap=soft-select,soft-detect
** (simple-scan:23328): DEBUG: Description: Top-left x position of scan area.
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (8)
** (simple-scan:23328): DEBUG: Option 8: name='tl-y' title='Top-left y' type=fixed size=4 unit=mm min=0.000000, max=279.364014, quant=1387 cap=soft-select,soft-detect
** (simple-scan:23328): DEBUG: Description: Top-left y position of scan area.
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (9)
** (simple-scan:23328): DEBUG: Option 9: name='br-x' title='Bottom-right x' type=fixed size=4 unit=mm min=0.000000, max=215.872192, quant=1387 cap=soft-select,soft-detect
** (simple-scan:23328): DEBUG: Description: Bottom-right x position of scan area.
** (simple-scan:23328): DEBUG: sane_control_option (9, SANE_ACTION_SET_VALUE, 215.872192) -> (SANE_STATUS_GOOD, 215.872192)
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (10)
** (simple-scan:23328): DEBUG: Option 10: name='br-y' title='Bottom-right y' type=fixed size=4 unit=mm min=0.000000, max=279.364014, quant=1387 cap=soft-select,soft-detect
** (simple-scan:23328): DEBUG: Description: Bottom-right y position of scan area.
** (simple-scan:23328): DEBUG: sane_control_option (10, SANE_ACTION_SET_VALUE, 279.364014) -> (SANE_STATUS_GOOD, 279.364014)
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (11)
** (simple-scan:23328): DEBUG: Option 11: name='page-width' title='Page width' type=fixed size=4 unit=mm min=0.000000, max=221.120850, quant=1387 cap=soft-select,soft-detect
** (simple-scan:23328): DEBUG: Description: Specifies the width of the media. Required for automatic centering of sheet-fed scans.
** (simple-scan:23328): DEBUG: sane_control_option (11, SANE_ACTION_SET_VALUE, 210.009781) -> (SANE_STATUS_GOOD, 210.000000)
** (simple-scan:23328): DEBUG: sane_get_option_descriptor (12)
** (simple-scan:23328): DEBUG: Option 12: name='page-height' title='Page height' type=fixed size=4 unit=mm min=0.000000, max=876.695068,...

Read more...

Robert Ancell (robert-ancell) wrote :

I've changed the scan area settings to apply last (they're there because some buggy drivers don't use the maximum available by default). Please try the update from bzr.

Bernd Schlapsi (bernd-sch) wrote :

Now I'm getting a core dump if I push the button "Scan".

Robert Ancell (robert-ancell) wrote :

Crash fixed. If you have time please retest (this is the one bug I'm waiting on before releasing 1.0) otherwise I will release anyway in 7 hours (hoping this bug is fixed).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 1.0.0-0ubuntu1

---------------
simple-scan (1.0.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Don't put dashes in temporary filenames used when emailing to workaround a
      Thunderbird bug
    - Add 32x32 crop icon
    - Don't replace scanner provided on the command-line with detected devices
    - Handle ImageMagick process failing (LP: #539381)
    - Fix incorrect dimensions for A4 and A6 paper (LP: #536882)
  * debian/source_simple-scan.py:
    - Attach versions of SANE driver packages
  * debian/patches/11_thunderbird_workaround.patch:
  * debian/patches/10_save_toolbar_tooltip.patch:
    - Applied upstream

  [ Alessio Treglia ]
  * debian/rules:
    - Call intltool-update to generate a PO template (LP: #551470)
 -- Robert Ancell <email address hidden> Wed, 14 Apr 2010 17:59:28 +0800

Changed in simple-scan (Ubuntu):
status: Fix Committed → Fix Released
Bernd Schlapsi (bernd-sch) wrote :

I managed to test the latest version (your 1.0 release) now and it works for me now.

Robert Ancell (robert-ancell) wrote :

Yay! Thanks for the feedback.

Changed in simple-scan:
status: Fix Committed → Fix Released
Francesco (erpalma2003) wrote :

I have a Fujitsu fi-4530Cdj wich supports A3 page size but in simple scan i can get only A4 even with 1.0 release. Could you fix this?

glasairman (wlk461) wrote :

I am using a network-attached Brother DCP-J315W and Ubuntu 12.04+Xsane0.998

The scan command fails with "invalid argument, probably because the size is set to 00.00 x 19.48 cm.

This field cannot be changed manually and no setting under "Konfiguration" (German version) seems top allow any change to these values.

Michael Nagel (nailor) wrote :

Glasairman (wlk461): please open a new ticket and make it clear if you are using xsane or simple-scan. thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers